## cmus 2.0.4

=== Makefile ===
--- 
+++ 
@@ -17,13 +17,13 @@
 	track.o track_db.o track_info.o tree.o uchar.o ui_curses.o window.o \
 	worker.o xstrjoin.o
 
-$(cmus-y): CFLAGS += $(PTHREAD_CFLAGS) $(NCURSES_CFLAGS) $(ICONV_CFLAGS)
+$(cmus-y): CFLAGS += $(PTHREAD_CFLAGS) $(NCURSES_CFLAGS) $(ICONV_CFLAGS) $(DL_CFLAGS)
 
 cmus: $(cmus-y) file.o path.o prog.o xmalloc.o
-	$(call cmd,ld,$(PTHREAD_LIBS) $(NCURSES_LIBS) $(ICONV_LIBS) $(DL_LIBS) -lm)
+	$(call cmd,ld,$(PTHREAD_LIBS) $(NCURSES_LIBS) $(ICONV_LIBS) $(DL_LIBS) -lm $(COMPAT_LIBS))
 
 cmus-remote: main.o file.o path.o prog.o xmalloc.o
-	$(call cmd,ld,)
+	$(call cmd,ld,$(COMPAT_LIBS))
 # }}}
 
 # input plugins {{{
@@ -158,7 +158,7 @@
 	@tarname=$(TARNAME);						\
 	test "$(_ver2)" || { echo "No such revision $(REV)"; exit 1; };	\
 	echo "   DIST   $$tarname.tar.bz2";				\
-	git tar-tree $(REV) $$tarname | bzip2 -c -9 > $$tarname.tar.bz2
+	git tar-tree $(REV)^{tree} $$tarname | bzip2 -c -9 > $$tarname.tar.bz2
 
 # }}}
