## cmus 2.1.0

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,25 @@
+VERSION = 2.1.0
+
 all: main plugins man
 
 include config.mk
 include scripts/lib.mk
 
-CFLAGS	+= -I. -g
+CFLAGS += -D_FILE_OFFSET_BITS=64
+
+input.o main.o ui_curses.o: .version
+input.o main.o ui_curses.o: CFLAGS += -DVERSION=\"$(VERSION)\"
+main.o server.o: CFLAGS += -DDEFAULT_PORT=3000
+
+.version: Makefile
+	@test "`cat $@ 2> /dev/null`" = "$(VERSION)" && exit 0; \
+	echo "   GEN    $@"; echo $(VERSION) > $@
 
 # programs {{{
 cmus-y := \
 	browser.o buffer.o cmdline.o cmus.o command_mode.o comment.o \
 	db.o debug.o editable.o expr.o filters.o \
-	format_print.o glob.o history.o http.o input.o \
+	format_print.o glob.o help.o history.o http.o input.o \
 	keys.o lib.o load_dir.o locking.o mergesort.o misc.o options.o \
 	output.o pcm.o pl.o play_queue.o player.o \
 	read_wrapper.o server.o search.o \
@@ -29,29 +39,41 @@
 # input plugins {{{
 flac-objs		:= flac.lo
 mad-objs		:= id3.lo mad.lo nomad.lo utf8_encode.lo
+mikmod-objs		:= mikmod.lo
 modplug-objs		:= modplug.lo
 mpc-objs		:= mpc.lo
 vorbis-objs		:= vorbis.lo
 wav-objs		:= wav.lo
+mp4-objs		:= mp4.lo
+aac-objs		:= id3.lo utf8_encode.lo aac.lo
 
 ip-$(CONFIG_FLAC)	+= flac.so
 ip-$(CONFIG_MAD)	+= mad.so
+ip-$(CONFIG_MIKMOD)	+= mikmod.so
 ip-$(CONFIG_MODPLUG)	+= modplug.so
 ip-$(CONFIG_MPC)	+= mpc.so
 ip-$(CONFIG_VORBIS)	+= vorbis.so
 ip-$(CONFIG_WAV)	+= wav.so
+ip-$(CONFIG_MP4)	+= mp4.so
+ip-$(CONFIG_AAC)	+= aac.so
 
 $(flac-objs):		CFLAGS += $(FLAC_CFLAGS)
 $(mad-objs):		CFLAGS += $(MAD_CFLAGS)
+$(mikmod-objs):		CFLAGS += $(MIKMOD_CFLAGS)
 $(modplug-objs):	CFLAGS += $(MODPLUG_CFLAGS)
 $(mpc-objs):		CFLAGS += $(MPC_CFLAGS)
 $(vorbis-objs):		CFLAGS += $(VORBIS_CFLAGS)
+$(mp4-objs):		CFLAGS += $(MP4_CFLAGS)
+$(aac-objs):		CFLAGS += $(AAC_CFLAGS)
 
 flac.so: $(flac-objs)
 	$(call cmd,ld_dl,$(FLAC_LIBS))
 
 mad.so: $(mad-objs)
 	$(call cmd,ld_dl,$(MAD_LIBS))
+
+mikmod.so: $(mikmod-objs)
+	$(call cmd,ld_dl,$(MIKMOD_LIBS))
 
 modplug.so: $(modplug-objs)
 	$(call cmd,ld_dl,$(MODPLUG_LIBS))
@@ -64,6 +86,13 @@
 
 wav.so: $(wav-objs)
 	$(call cmd,ld_dl,)
+
+mp4.so: $(mp4-objs)
+	$(call cmd,ld_dl,$(MP4_LIBS))
+
+aac.so: $(aac-objs)
+	$(call cmd,ld_dl,$(AAC_LIBS))
+
 # }}}
 
 # output plugins {{{
@@ -119,7 +148,7 @@
 data		= $(wildcard data/*)
 
 clean		+= *.o *.lo *.so cmus cmus-remote Doc/*.o Doc/ttman Doc/*.1
-distclean	+= config.mk config/*.h tags
+distclean	+= .version config.mk config/*.h tags
 
 main: cmus cmus-remote
 plugins: $(ip-y) $(op-y)
@@ -158,7 +187,7 @@
 	@tarname=$(TARNAME);						\
 	test "$(_ver2)" || { echo "No such revision $(REV)"; exit 1; };	\
 	echo "   DIST   $$tarname.tar.bz2";				\
-	git tar-tree $(REV)^{tree} $$tarname | bzip2 -c -9 > $$tarname.tar.bz2
+	git archive --format=tar --prefix=$$tarname/ $(REV)^{tree} | bzip2 -c -9 > $$tarname.tar.bz2
 
 # }}}
