## cmus 2.3.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,15 @@
-VERSION = 2.2.0
+REV	= HEAD
+
+# version from an annotated tag
+_ver0	= $(shell git describe $(REV) 2>/dev/null)
+# version from a plain tag
+_ver1	= $(shell git describe --tags $(REV) 2>/dev/null)
+# SHA1
+_ver2	= $(shell git rev-parse --verify --short $(REV) 2>/dev/null)
+# hand-made
+_ver3	= v2.3.3
+
+VERSION	= $(or $(_ver0),$(_ver1),$(_ver2),$(_ver3))
 
 all: main plugins man
 
@@ -9,8 +20,8 @@
 
 CMUS_LIBS = $(PTHREAD_LIBS) $(NCURSES_LIBS) $(ICONV_LIBS) $(DL_LIBS) -lm $(COMPAT_LIBS)
 
-input.o main.o ui_curses.o: .version
-input.o main.o ui_curses.o: CFLAGS += -DVERSION=\"$(VERSION)\"
+input.o main.o ui_curses.o pulse.lo: .version
+input.o main.o ui_curses.o pulse.lo: CFLAGS += -DVERSION=\"$(VERSION)\"
 main.o server.o: CFLAGS += -DDEFAULT_PORT=3000
 
 .version: Makefile
@@ -19,14 +30,14 @@
 
 # programs {{{
 cmus-y := \
-	ape.o browser.o buffer.o cmdline.o cmus.o command_mode.o comment.o \
-	db.o debug.o editable.o expr.o filters.o \
-	format_print.o glob.o help.o history.o http.o id3.o input.o \
-	keys.o lib.o load_dir.o locking.o mergesort.o misc.o options.o \
+	ape.o browser.o buffer.o cache.o cmdline.o cmus.o command_mode.o comment.o \
+	debug.o editable.o expr.o filters.o \
+	format_print.o gbuf.o glob.o help.o history.o http.o id3.o input.o job.o \
+	keys.o keyval.o lib.o load_dir.o locking.o mergesort.o misc.o options.o \
 	output.o pcm.o pl.o play_queue.o player.o \
 	read_wrapper.o server.o search.o \
 	search_mode.o spawn.o tabexp.o tabexp_file.o \
-	track.o track_db.o track_info.o tree.o uchar.o ui_curses.o \
+	track.o track_info.o tree.o uchar.o ui_curses.o \
 	utf8_encode.lo window.o worker.o xstrjoin.o
 
 $(cmus-y): CFLAGS += $(PTHREAD_CFLAGS) $(NCURSES_CFLAGS) $(ICONV_CFLAGS) $(DL_CFLAGS)
@@ -123,6 +134,7 @@
 # }}}
 
 # output plugins {{{
+pulse-objs		:= pulse.lo
 alsa-objs		:= alsa.lo mixer_alsa.lo
 arts-objs		:= arts.lo
 oss-objs		:= oss.lo mixer_oss.lo
@@ -130,6 +142,7 @@
 ao-objs			:= ao.lo
 waveout-objs		:= waveout.lo
 
+op-$(CONFIG_PULSE)	+= pulse.so
 op-$(CONFIG_ALSA)	+= alsa.so
 op-$(CONFIG_ARTS)	+= arts.so
 op-$(CONFIG_OSS)	+= oss.so
@@ -137,6 +150,7 @@
 op-$(CONFIG_AO)		+= ao.so
 op-$(CONFIG_WAVEOUT)	+= waveout.so
 
+$(pulse-objs): CFLAGS	+= $(PULSE_CFLAGS)
 $(alsa-objs): CFLAGS	+= $(ALSA_CFLAGS)
 $(arts-objs): CFLAGS	+= $(ARTS_CFLAGS)
 $(oss-objs):  CFLAGS	+= $(OSS_CFLAGS)
@@ -144,6 +158,9 @@
 $(ao-objs):   CFLAGS	+= $(AO_CFLAGS)
 $(waveout-objs): CFLAGS += $(WAVEOUT_CFLAGS)
 
+pulse.so: $(pulse-objs) $(libcmus-y)
+	$(call cmd,ld_dl,$(PULSE_LIBS))
+
 alsa.so: $(alsa-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(ALSA_LIBS))
 
@@ -165,12 +182,17 @@
 
 # man {{{
 man1	:= Doc/cmus.1 Doc/cmus-remote.1
+man7	:= Doc/cmus-tutorial.7
 
 $(man1): Doc/ttman
+$(man7): Doc/ttman
 
 %.1: %.txt
 	$(call cmd,ttman)
 
+%.7: %.txt
+	$(call cmd,ttman)
+
 Doc/ttman: Doc/ttman.o
 	$(call cmd,ld,)
 
@@ -180,12 +202,12 @@
 
 data		= $(wildcard data/*)
 
-clean		+= *.o *.lo *.so cmus libcmus.a cmus.def cmus.base cmus.exp cmus-remote Doc/*.o Doc/ttman Doc/*.1
+clean		+= *.o *.lo *.so cmus libcmus.a cmus.def cmus.base cmus.exp cmus-remote Doc/*.o Doc/ttman Doc/*.1 Doc/*.7
 distclean	+= .version config.mk config/*.h tags
 
 main: cmus cmus-remote
 plugins: $(ip-y) $(op-y)
-man: $(man1)
+man: $(man1) $(man7)
 
 install-main: main
 	$(INSTALL) -m755 $(bindir) cmus cmus-remote
@@ -197,6 +219,7 @@
 install-data: man
 	$(INSTALL) -m644 $(datadir)/cmus $(data)
 	$(INSTALL) -m644 $(mandir)/man1 $(man1)
+	$(INSTALL) -m644 $(mandir)/man7 $(man7)
 	$(INSTALL) -m755 $(exampledir) cmus-status-display
 
 install: all install-main install-plugins install-data
@@ -205,16 +228,7 @@
 	exuberant-ctags *.[ch]
 
 # generating tarball using GIT {{{
-REV	= HEAD
-
-# version from an annotated tag
-_ver0	= $(shell git describe $(REV) 2>/dev/null)
-# version from a plain tag
-_ver1	= $(shell git describe --tags $(REV) 2>/dev/null)
-# SHA1
-_ver2	= $(shell git rev-parse --verify --short $(REV) 2>/dev/null)
-
-TARNAME	= cmus-$(or $(_ver0),$(_ver1),g$(_ver2))
+TARNAME	= cmus-$(VERSION)
 
 dist:
 	@tarname=$(TARNAME);						\
