=== debian/changelog ===
cmus (2.3.3-2build1) maverick; urgency=low

  * No changes upload for libmodplug0c2 -> libmodplug1 transition

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Wed, 15 Sep 2010 20:14:47 +0200

cmus (2.3.3-2) unstable; urgency=low

  * Prevent terminal corruption on track change.
  * debian/copyright: Update sources download location.
  * Split cmus to provide smart dependencies (Closes: #442423).
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 01 Aug 2010 12:26:08 +0200

cmus (2.3.3-1) unstable; urgency=low

  [ Ryan Kavanagh ]
  * New upstream release (Closes: #572284)
  * Imported Upstream version 2.3.3
  * Changed to source format 3.0 source. Involved converting
    dpatch->quilt and dropping dpatch B-D.
  * Dropped 01_cmusffmpeg.diff, no longer needed. Upstream checks for
    ffmpeg and falls back to libavcodec for us.
  * Dropped 02_cmusstatusdisplay.diff, included upstream.
  * Dropped Yavor's mpcdec patch. Upstream expanded on it, using his
    code if building under MPC SV8, the old code otherwise.
  * Updated debian/watch
  * Updated copyright file with new copyright holders and download
    location.
  * This is a new upload, package will thus be rebuilt against libavformat.
    (Closes: #568361).
  * Dropped debian/patches directory
  * Move to debhelper 7 rules
  * Now standards-version 3.8.4
  * Fix debhelper-but-no-misc-depends lintian warning
  * Override dh_auto_configure because upstream uses a homebrewed configure
    script that doesn't accept --a=b style options
  * Bump debhelper version to (>= 7.0.50~) because we're using override_dh_*
  * Fix spelling mistakes in binary and documentation
    (01_spelling_mistake.diff)
  * Fix whatis entry for cmus-tutorial manpage (02_cmus-tutorial_whatis.diff)
  * Added Julien Louis' and my own packaging copyright blurb to
    debian/copyright. 

  [ Alessio Treglia ]
  * This isn't a non-maintainer upload, we adopt this (Closes: #587604).
  * Add debian/gbp.conf file.
  * debian/control:
    - Add Vcs-* tags.
    - Bump Standards.
    - Lines should be shorter than 80 characters.
    - Add myself to Uploaders field, I'll take care of sponsoring this in
      future.
    - Build-depend on pkg-config.
    - Drop unnecessary Recommends field.
  * Drop aRTs support as it is no longer maintained.
  * Add PulseAudio support.
  * debian/rules:
    - Call configure script instead of relying on dh_auto_configure.
  * Drop README.source, we don't rely on dpatch as patch system.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Sun, 04 Jul 2010 20:06:58 +0200

cmus (2.2.0-4.1) unstable; urgency=low

  * NMU
  * Patch from Yavor Doganov to port cmus to the new mpcdec API,
    thereby allowing cmus to build from source again.
    closes: #476382, #552820.

 -- Clint Adams <schizo@debian.org>  Sun, 31 Jan 2010 00:03:40 -0500

cmus (2.2.0-4) unstable; urgency=low

  * Updated debian/watch file Closes: #449897
    - Thanks to Raphael Geissert <atomo64@gmail.com>
  * Fix the ffmpeg/avcodec.h includes Closes: #517570
    - Thanks to Cyril Brulebois <kibi@debian.org>
  * Added Recommends libasound2, libartsc0, libao2 Closes: #439719
  * Added Depends line in debian/control
  * Added dpatch on Build-Depends on debian/control
  * Deleted commented lines on debian/rules
  * Update debian/rules for dpatch dependence
  * Changed debian/control
    - Standard-Version to 3.8.1 ( was 3.8.0 )
    - Added debian/README.source
    - Updated to debhelper to 7
    - Updated debian/compat (was 5)
    - Added Homepage field

 -- Carlos Eduardo Sotelo Pinto (krlos) <krlos.aqp@gmail.com>  Thu, 19 Mar 2009 13:38:16 -0500

cmus (2.2.0-3) unstable; urgency=low

  * Acknowledging NMU.  Closes: #509277.

 -- Carlos Eduardo Sotelo Pinto (krlos) <krlos.aqp@gmail.com>  Mon, 29 Dec 2008 22:01:01 +0100

cmus (2.2.0-2) unstable; urgency=low

  * New maintainer. Closes: #484734
  * Changed debian/control
    - Standard-Version to 3.8.0 ( was 3.7.2 no changes needed )

 -- Carlos Eduardo Sotelo Pinto (krlos) <krlos.aqp@gmail.com>  Wed, 03 Sep 2008 17:46:50 -0500

cmus (2.2.0-1.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Modify example script cmus-status-display to write the current
    status to .cmus-status in the user's home instead of /tmp/cmus-status,
    since the latter could lead to symlink attacks. CVE-2008-5375
    (Closes: #509277)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 28 Dec 2008 14:57:06 +0100

cmus (2.2.0-1) unstable; urgency=low

  * New upstream release
  * Add libwavpack-dev and libavformat.dev to Build-Depends
  * Update debian/copyright

 -- Julien Louis <ptitlouis@sysif.net>  Fri, 27 Jul 2007 21:54:36 +0200

cmus (2.1.0-2) unstable; urgency=low

  * Rebuild against libflac8 (Closes: #426638).

 -- Julien Louis <ptitlouis@sysif.net>  Mon, 04 Jun 2007 22:56:58 +0200

cmus (2.1.0-1) unstable; urgency=low

  * New upstream release (closes: #399965).
  * Updated debian/copyright
  * Added libfaad-dev to Build-Depends

 -- Julien Louis <ptitlouis@sysif.net>  Thu, 21 Dec 2006 20:25:59 +0100

cmus (2.0.4-1) unstable; urgency=low

  * New upstream release.
  * Added debian/watch file.
  * Build-Depends agains libasound2-dev (>= 1.0.11).

 -- Julien Louis <ptitlouis@sysif.net>  Wed, 23 Aug 2006 03:34:04 +0200

cmus (2.0.3-3) unstable; urgency=low

  * Drop libasound2-dev Build Dependency on non-linux arches
    (Closes: #377885).

 -- Julien Louis <ptitlouis@sysif.net>  Wed, 12 Jul 2006 01:06:02 +0200

cmus (2.0.3-2) unstable; urgency=low

  * Move all dh_* helper stuff in the binary-arch target (Closes: #376320).
  * Remove debian/patches/01_asciidoc_xsl_path.dpatch since it is not usefull.
  * Remove dpatch from Build-Depends.

 -- Julien Louis <ptitlouis@sysif.net>  Sun,  2 Jul 2006 14:16:03 +0200

cmus (2.0.3-1) unstable; urgency=low

  * New upstream release.
  * Remove asciidoc, docbook-xsl, doxbook-xml ans xsltproc from Build-Depends.

