=== debian/control ===
Source: cmus
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Ryan Kavanagh <ryanakca@kubuntu.org>
Build-Depends: debhelper (>= 7.0.50~),
 pkg-config,
 libflac-dev,
 libncursesw5-dev,
 libmodplug-dev,
 libmad0-dev,
 libvorbis-dev,
 libpulse-dev (>= 0.9.19),
 libasound2-dev (>= 1.0.11) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libmpcdec-dev,
 libao-dev,
 libfaad-dev,
 libwavpack-dev,
 libavformat-dev
Standards-Version: 3.9.1
Homepage: http://cmus.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-multimedia/cmus.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/cmus.git

Package: cmus
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Recommends: cmus-plugin-ffmpeg
Description: lightweight ncurses audio player
 C* Music Player is a modular and very configurable ncurses-based audio player.
 It has some interesting features like configurable colorscheme, mp3 and ogg
 streaming, it can be controlled with an UNIX socket, filters, album/artists
 sorting and a vi-like configuration interface. 
 .
 It currently supports different input formats:
  - Ogg Vorbis
  - MP3 (with libmad)
  - FLAC
  - Wav
  - Modules (with libmodplug)
  - Musepack
  - AAC
  - Windows Media Audio

Package: cmus-plugin-ffmpeg
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: cmus
Description: lightweight ncurses audio player (FFmpeg plugin)
 C* Music Player is a modular and very configurable ncurses-based audio player.
 It has some interesting features like configurable colorscheme, mp3 and ogg
 streaming, it can be controlled with an UNIX socket, filters, album/artists
 sorting and a vi-like configuration interface.
 .
 This package adds FFmpeg support to C* Music Player.
