=== debian/watch ===
version=3
http://sf.net/cmus/cmus-v(.*)\.tar\.bz2
