## cmus 2.4.0

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # SHA1
 _ver2	= $(shell git rev-parse --verify --short $(REV) 2>/dev/null)
 # hand-made
-_ver3	= v2.3.3
+_ver3	= v2.4.0
 
 VERSION	= $(or $(_ver0),$(_ver1),$(_ver2),$(_ver3))
 
@@ -31,14 +31,14 @@
 # programs {{{
 cmus-y := \
 	ape.o browser.o buffer.o cache.o cmdline.o cmus.o command_mode.o comment.o \
-	debug.o editable.o expr.o filters.o \
+	convert.lo debug.o editable.o expr.o filters.o \
 	format_print.o gbuf.o glob.o help.o history.o http.o id3.o input.o job.o \
 	keys.o keyval.o lib.o load_dir.o locking.o mergesort.o misc.o options.o \
 	output.o pcm.o pl.o play_queue.o player.o \
-	read_wrapper.o server.o search.o \
+	rbtree.o read_wrapper.o server.o search.o \
 	search_mode.o spawn.o tabexp.o tabexp_file.o \
-	track.o track_info.o tree.o uchar.o ui_curses.o \
-	utf8_encode.lo window.o worker.o xstrjoin.o
+	track.o track_info.o tree.o u_collate.o uchar.o ui_curses.o \
+	window.o worker.o xstrjoin.o
 
 $(cmus-y): CFLAGS += $(PTHREAD_CFLAGS) $(NCURSES_CFLAGS) $(ICONV_CFLAGS) $(DL_CFLAGS)
 
@@ -141,6 +141,7 @@
 sun-objs		:= sun.lo mixer_sun.lo
 ao-objs			:= ao.lo
 waveout-objs		:= waveout.lo
+roar-objs               := roar.lo
 
 op-$(CONFIG_PULSE)	+= pulse.so
 op-$(CONFIG_ALSA)	+= alsa.so
@@ -149,6 +150,7 @@
 op-$(CONFIG_SUN)	+= sun.so
 op-$(CONFIG_AO)		+= ao.so
 op-$(CONFIG_WAVEOUT)	+= waveout.so
+op-$(CONFIG_ROAR)       += roar.so
 
 $(pulse-objs): CFLAGS	+= $(PULSE_CFLAGS)
 $(alsa-objs): CFLAGS	+= $(ALSA_CFLAGS)
@@ -157,6 +159,7 @@
 $(sun-objs):  CFLAGS	+= $(SUN_CFLAGS)
 $(ao-objs):   CFLAGS	+= $(AO_CFLAGS)
 $(waveout-objs): CFLAGS += $(WAVEOUT_CFLAGS)
+$(roar-objs): CFLAGS	+= $(ROAR_CFLAGS)
 
 pulse.so: $(pulse-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(PULSE_LIBS))
@@ -178,6 +181,9 @@
 
 waveout.so: $(waveout-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(WAVEOUT_LIBS))
+
+roar.so: $(roar-objs) $(libcmus-y)
+	$(call cmd,ld_dl,$(ROAR_LIBS))
 # }}}
 
 # man {{{
@@ -193,8 +199,11 @@
 %.7: %.txt
 	$(call cmd,ttman)
 
+Doc/ttman.o: Doc/ttman.c
+	$(call cmd,hostcc,)
+
 Doc/ttman: Doc/ttman.o
-	$(call cmd,ld,)
+	$(call cmd,hostld,)
 
 quiet_cmd_ttman = MAN    $@
       cmd_ttman = Doc/ttman $< $@
