=== debian/changelog ===
cmus (2.4.0-1) unstable; urgency=low

  * New upstream release "Easter egg":
    - Mutt-like short filters.
    - Live filtering.
    - Resume support.
    - Smarter string handling.
    - Long format options, including ones for bitrate/codec.
    - HTTP proxy support for streams via http_proxy environment variable.
    - Less CPU wakeups during playback.
    - New RoarAudio output plugin.
    - Support for big-endian systems, lots of different audio sample formats,
      almost any C compiler and unix-like OS out there.
    - Various bugfixes.
    - Full release notes are available at:
      http://sourceforge.net/mailarchive/message.php?msg_id=27403242
  * debian/watch: Properly handle release-candidate,beta releases.
  * Remove debian/patches directory, all patches have been applied upstream.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 26 Apr 2011 23:30:07 +0200

cmus (2.3.5-1) unstable; urgency=low

  * New upstream release:
    - Features gapless MP3 playback.
    - Native PulseAudio support.
    - Faster startup.
    - Improve buildsystem.
  * Refresh patches.
  * Remo 21-missing_plugins.patch, applied upstream.

 -- Alessio Treglia <alessio@debian.org>  Sat, 23 Apr 2011 09:56:57 +0200

cmus (2.3.4-3) unstable; urgency=low

  * Handle missing dependencies more gracefully:
    - cmus silently skips plugins with missing dependencies, and instead
      outputs a debug message. Original patch by Johannes Weißl, already
      accepted upstream.

 -- Alessio Treglia <alessio@debian.org>  Fri, 01 Apr 2011 08:59:01 +0200

cmus (2.3.4-2) unstable; urgency=low

  * Avoid to depend on several sound servers (Closes: #612887) and let
    users choose to rely on the favorite one.
    - debian/control:
      + Add shlibs:Recommends field.
    - debian/rules:
      + Supply {dh_,dpkg-}shlibdeps with proper options to demote roar
        and pulse audio dependencies to Recommends.

 -- Alessio Treglia <alessio@debian.org>  Tue, 15 Mar 2011 12:46:03 +0100

cmus (2.3.4-1) unstable; urgency=low

  [ Ryan Kavanagh ]
  * New upstream release.
  * Dropped 01_spelling_mistakes.diff, 02_cmus-tutorial_whatis.diff
    and 03-terminal_corruption.patch (applied upstream).
  * Refreshed 10-roaraudio_support.patch
  * Bump my copyright

  [ Alessio Treglia ]
  * Add DM-Upload-Allowed: yes.

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Tue, 22 Feb 2011 09:03:23 -0500

cmus (2.3.3-4) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Feb 2011 12:05:49 +0100

cmus (2.3.3-3) experimental; urgency=low

  * Add RoarOutput plugin (Closes: #609202), thanks to
    Philipp Schafft <lion@lion.leolix.org> for the patch.
  * Add patch taken from upstream's git to fix segfault when adding to
    queue.
  * Build-depends on libroar-dev (>= 0.4~beta2).

 -- Alessio Treglia <alessio@debian.org>  Mon, 17 Jan 2011 02:23:04 +0100
