=== debian/control ===
--- 
+++ 
@@ -16,9 +16,11 @@
  libmpcdec-dev,
  libao-dev,
  libfaad-dev,
+ libroar-dev (>= 0.4~beta2),
  libwavpack-dev,
  libavformat-dev
-Standards-Version: 3.9.1
+DM-Upload-Allowed: yes
+Standards-Version: 3.9.2
 Homepage: http://cmus.sourceforge.net/
 Vcs-Git: git://git.debian.org/pkg-multimedia/cmus.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/cmus.git
@@ -27,7 +29,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends}
-Recommends: cmus-plugin-ffmpeg
+Recommends: cmus-plugin-ffmpeg,
+ ${shlibs:Recommends}
 Description: lightweight ncurses audio player
  C* Music Player is a modular and very configurable ncurses-based audio player.
  It has some interesting features like configurable colorscheme, mp3 and ogg
