=== debian/control ===
Source: cmus
Section: user/multimedia
Priority: extra
Maintainer: Siim Salonen <siim.salonen@gmail.com>
Build-Depends: debhelper (>= 5),
	autotools-dev,
	libcue1-dev,
	libasound2-dev (>= 1.0.11) [linux-any],
	libavformat-dev,
	libflac-dev,
	libmad0-dev,
	libmpcdec-dev,
	libncursesw5-dev,
	libvorbis-dev,
	libmodplug-dev
Standards-Version: 3.7.2

Package: cmus
Architecture: any
Depends:  ${misc:Depends}, ${shlibs:Depends}
Description: Console music player
 C* Music Player is a modular and very configurable ncurses-based audio player.
 It has some interesting features like configurable colorscheme, mp3 and ogg
 streaming, it can be controlled with an UNIX socket, filters, album/artists
 sorting and a vi-like configuration interface.
 .
 It currently supports different input formats:
  - Ogg Vorbis
  - MP3 (with libmad)
  - FLAC
  - Wav
  - Modules (with libmodplug)
  - Musepack
  - AAC
  - Windows Media Audio
