=== debian/changelog ===
cmus (2.4.1-1ubuntu1) oneiric; urgency=low

  * Add patch from Johannes Weißl to fix FTBFS with newest version of FFmpeg.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 01 Jun 2011 10:20:39 +0200

cmus (2.4.1-1) unstable; urgency=medium

  * New upstream release (Closes: #628422):
    - Doc: add help for :shell
    - ffmpeg: move up "config/ffmpeg.h" include
    - fix two memleaks
    - fix cache refresh bug
    - configure: fix FLAC include path
    - configure: fix ffmpeg header detection
    - fix TCP/IP networking protocol
    - fix segfault when hitting win-activate on empty tree
    - display error if seeking failed
    - fix segfault when using tqueue/lqueue
    - fix lqueue command
    - fix infinite loop when adding certain mp3 files
    - fix reading of id3v2 tags at the end of files
    - more fault-tolerant integer tag-reading
  * Bump urgency to medium as the previous release was seriously buggy.

 -- Alessio Treglia <alessio@debian.org>  Sun, 29 May 2011 19:18:48 +0200
